Unable to compile project with framework 4

Ask general questions here.
jackrabbit
Posts: 47
Joined: Wed Mar 18, 2015 10:06 pm

Unable to compile project with framework 4

Post by jackrabbit » Tue Nov 10, 2015 7:45 pm

I am using Ranorex 5.4.3, my computer has VisualStudio 2008 installed.

My project compiles fine if I specify the Target Framework 3.5

When I switch to the Target Framework 4,0, I get the following error (roughly translated from french):

"The assembly refenrences for framework ".NETFramework,Version=v4.0" are not found. To fix this problem, install the SDK or the Targeting Pack for this version."

I installed the FRamework 4.0 SDK:
SDK.png
SDK.png (10.9 KiB) Viewed 1584 times
I still get the error, I found in a thread (http://stackoverflow.com/questions/2730 ... -ci-server) that I should also install the "Microsoft Windows SDK for Windows 7 and NET Framework 4" because I don't have a more recent version of VisualStudio, so I installed it. Still no change.

I am running out of ideas to get me package to compile with Framework 4. HELP!!!

jackrabbit
Posts: 47
Joined: Wed Mar 18, 2015 10:06 pm

Re: Unable to compile project with framework 4

Post by jackrabbit » Tue Nov 10, 2015 10:16 pm

I think I found it! Here is what I had to install before I could build a Ranorex test using the Frame work 4:

• Framework 4 SDK
(https://www.microsoft.com/fr-ca/downloa ... x?id=17851)
• Multi-Targeting Pack for Microsoft .NET Framework 4.0.3
(https://www.microsoft.com/en-us/downloa ... x?id=29052)
• SDK for Windows 7 and .NET Framework 4
(http://www.microsoft.com/en-us/download ... px?id=8279)